%global gitcommit  561411bbb7e98b005e520f4c0f491c2d23782048
%global project    alecthomas
%global repo       assert

%global common_description This is a fork of stretchr's assertion library that does two things: \
  - It makes spotting differences in equality much easier. It uses repr and diffmatchpatch to display structural differences in colour. \
  - Aborts tests on first assertion failure (the same behaviour as stretchr/testify/require).

%_go_metadata

Release: 0.9%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries to check that your code will behave as you intend
License: MIT

BuildRequires: golang(github.com/alecthomas/colour)
BuildRequires: golang(github.com/alecthomas/repr)
BuildRequires: golang(github.com/sergi/go-diff/diffmatchpatch)

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -ipath "*/_example/*" -print)
%_go_install $gofiles

%check
# Does not work with latest repr snapshot
# https://github.com/alecthomas/assert/issues/2
%_go_checks .

%files devel -f devel.file-list
%license LICENCE.txt
%doc *\.md _example

%changelog

