%global gitcommit 353b8c3f3776541879f9abfd8fa8b1ae162ab394
%global project   prometheus
%global repo      client_golang

Version: 0.9.0

%global common_description This is the Go client library for Prometheus. It has two separate parts, one for instrumenting application code, and one for creating clients that talk to the Prometheus HTTP API.

%_go_metadata

Release: 0.7%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go client library for Prometheus
License: ASL 2.0

BuildRequires: golang(github.com/beorn7/perks/quantile)
BuildRequires: golang(github.com/prometheus/client_model/go)
BuildRequires: golang(github.com/prometheus/common/model)
BuildRequires: golang(github.com/prometheus/procfs)
BuildRequires: golang >= 1.7.0

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(github.com/beorn7/perks/quantile)
Requires:  golang(github.com/prometheus/client_model/go)
Requires:  golang(github.com/prometheus/procfs)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -ipath "./examples/*" -print)
%_go_install $gofiles

%check
# promhttp needs network access
%_go_checks api prometheus prometheus/push prometheus/graphite

%files devel -f devel.file-list
%license LICENSE NOTICE
%doc *\.md examples

%changelog

