%global gitcommit 2f17f4a9d485bf34b4bfaccc273805040e4f86c8
%global project   prometheus
%global repo      common

%global common_description This repository contains Go libraries that are shared across Prometheus components and libraries:\
  — config:  common configuration structures\
  — expfmt:  decoding and encoding for the exposition format\
  — log:     a logging wrapper around logrus\
  — model:   shared data structures\
  — route:   a routing wrapper around httprouter using context.Context\
  — version: version informations and metric

%_go_metadata

Release: 0.9%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries that are shared across Prometheus components and libraries
License: ASL 2.0
Patch0:  no-internal.patch

BuildRequires: golang(bitbucket.org/ww/goautoneg)
BuildRequires: golang(github.com/julienschmidt/httprouter)
BuildRequires: golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
BuildRequires: golang(github.com/prometheus/client_model/go)
BuildRequires: golang(github.com/sirupsen/logrus)
BuildRequires: golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires: golang(gopkg.in/yaml.v2)

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
Requires:  golang(github.com/sirupsen/logrus)
Requires:  golang(bitbucket.org/ww/goautoneg)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}
%patch0 -p1
rm -fr internal

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks config expfmt log model route

%files devel -f devel.file-list
%license LICENSE NOTICE
%doc *\.md

%changelog

