%global gitcommit feef008d51ad2b3778f85d387ccf91735543008d
%global project   sergi
%global repo      go-diff

%global common_description go-diff offers algorithms to perform operations required for synchronizing plain text:\
  — Compare two texts and return their differences.\
  — Perform fuzzy matching of text.\
  — Apply patches onto text.

%_go_metadata

Release: 0.7%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries to diff, match and patch text
License: ASL 2.0
BuildRequires: golang(github.com/stretchr/testify/assert)

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename:}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -ipath "*/testdata/*" -print)
#Do they need to be executable?
scripts=scripts/*\.sh
%_go_install $gofiles $scripts
chmod +x %{buildroot}%{gopath}/src/%{_go_import_path}/$scripts

%check
%_go_checks diffmatchpatch

%files devel -f devel.file-list
%license APACHE-LICENSE-2.0 LICENSE
%doc AUTHORS CONTRIBUTORS README.md

%changelog

