# Checksuite needs to be disabled for bootstraping due to a circular dependency with logrus-airbrake-hook.v2
%bcond_with bootstrap

%global project sirupsen
%global repo    logrus
Version: 1.0.3

%global common_description Logrus is a structured logger for Go (golang), completely API compatible with the standard library logger.

%_go_metadata

Release: 9%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries for structured, pluggable logging
License: MIT

%if %{without bootstrap}
BuildRequires: golang(github.com/stretchr/testify/assert)
BuildRequires: golang(golang.org/x/crypto/ssh/terminal)
BuildRequires: golang(golang.org/x/sys/unix)
BuildRequires: golang(gopkg.in/gemnasium/logrus-airbrake-hook.v2)
%endif

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(golang.org/x/crypto/ssh/terminal)
Requires:  golang(golang.org/x/sys/unix)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%if %{without bootstrap}
  %_go_checks .
%endif

%files devel -f devel.file-list
%license LICENSE
%doc *\.md

%changelog

