%global gitcommit 80f670d07a6b12dca8d93735ea3834308da38d08
%global project   soniah
%global repo      gosnmp

Version: 1.10

%global common_description GoSNMP is an SNMP client library fully written in Go. It provides Get, GetNext, GetBulk, Walk, BulkWalk, Set and Traps. It supports IPv4 and IPv6, using SNMPv2c or SNMPv3.

%_go_metadata

Release: 0.12%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go SNMP client libraries
License: BSD and Public Domain

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -ipath "*/examples/*" -print)
%_go_install $gofiles

%check
# Needs network, also
# Mismatch in error codes, outdated tests upstream?
# https://github.com/soniah/gosnmp/issues/112
#_go_checks .

%files devel -f devel.file-list
%license LICENSE
%doc *\.md examples/

%changelog

