%global provider     gopkg
%global provider_tld in
%global project      gemnasium
%global repo         logrus-airbrake-hook
%global repomajor    2

Version: 2.1.2
URL:     https://github.com/%{project}/%{repo}

%global common_description Libraries to send your logrus errors to Airbrake. This hook is using the official airbrake Go package, and will hit the api V3. The hook is synchronous and will send the error for log.Error, log.Fatal and log.Panic levels. \
\
All logrus fields will be sent as context fields on Airbrake.

%_go_metadata

Release: 6%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries to send your logrus errors to Airbrake.
License: MIT
BuildRequires: golang(github.com/sirupsen/logrus)
BuildRequires: golang(gopkg.in/airbrake/gobrake.v2)

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(gopkg.in/airbrake/gobrake.v2)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license LICENSE
%doc *\.md

%changelog

