%global provider     gopkg
%global provider_tld in
%global project      alecthomas
%global repo         kingpin
%global repomajor    2

Version: 2.2.5
URL:     https://github.com/%{project}/%{repo}

%global common_description Kingpin is a fluent-style, type-safe command-line parser. It supports flags, nested commands, and positional arguments.

%_go_metadata

Release: 5%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go command line and flag parser libraries
License: BSD and Public Domain
BuildRequires: golang(github.com/alecthomas/assert)
BuildRequires: golang(github.com/alecthomas/colour)
BuildRequires: golang(github.com/alecthomas/template)
BuildRequires: golang(github.com/alecthomas/units)
BuildRequires: golang(github.com/alecthomas/repr)
BuildRequires: golang(github.com/sergi/go-diff/diffmatchpatch)

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(github.com/alecthomas/template)
Requires:  golang(github.com/alecthomas/units)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -ipath "*/_examples/*" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license COPYING
%doc *\.md _examples/

%changelog

