%global debug_package %{nil}

%global project prometheus
%global repo    snmp_exporter

Name:    %{project}-snmp-exporter
Version: 0.6.0

%global common_description This is an exporter that exposes information gathered from SNMP for use by the Prometheus monitoring system. \
There are two components. An exporter that does the actual scraping, and a generator (which depends on NetSNMP) that creates the configuration for use by the exporter.

%_go_metadata

Release: 5%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: An exporter that exposes information gathered from SNMP for use by the Prometheus monitoring system
License: ASL 2.0

BuildRequires: net-snmp-devel, golang >= 1.7.4-1
BuildRequires: golang(github.com/alecthomas/template)
BuildRequires: golang(github.com/alecthomas/units)
BuildRequires: golang(github.com/prometheus/client_golang/prometheus)
BuildRequires: golang(github.com/prometheus/common/log)
BuildRequires: golang(github.com/soniah/gosnmp)
BuildRequires: golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires: golang(gopkg.in/yaml.v2)

%description
%{common_description}

%prep
%setup -n %{archivename}
rm -fr vendor

%build
%_go_buildroot
GOPATH=%{gobuildpath}:%{gopath} go build
cd generator
GOPATH=%{gobuildpath}:%{gopath} go build

%install
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp snmp_exporter-%{version} %{buildroot}%{_bindir}/%{project}-snmp-exporter
install -m 0755 -vp generator/generator     %{buildroot}%{_bindir}/%{project}-snmp-generator

cd generator
for doc in *\.md ; do
  mv "$doc" "GENERATOR-$doc"
done

%check
%_go_checks . generator

%files
%license LICENSE NOTICE VERSION
%doc *\.md generator/*\.md
%{_bindir}/%{project}-snmp-exporter
%{_bindir}/%{project}-snmp-generator

%changelog

